function setImageExpandedState(i){
	if(i.parentNode.isExpanded ){
		i.src = 'WA_ReportAssets/Report_Collapse.gif';
		i.alt = 'Collapse section';
		i.title = 'Collapse section';
	}
	else{
		i.src = 'WA_ReportAssets/Report_Expand' + ( (i.parentNode.tagName.toLowerCase() == 'h2') ? '' : 'Child')  + '.gif';
		i.alt = 'Expand section';
		i.title = 'Expand section';
	}
}

function setItemState(e){
	var tagName = this.tagName.toLowerCase();
	if(tagName == 'h2'){
		var expandedClass = 'contentItem';
		var collapsedClass = 'contentItemCollapsed';
	}
	else if(tagName == 'h3'){
		var expandedClass = 'contentItemChild';
		var collapsedClass = 'contentItemChildCollapsed';
	}
	else{
		return;
	}
	
	if(this.isExpanded){
		Spry.Utils.removeClassName(this.parentNode, expandedClass );
		Spry.Utils.addClassName(this.parentNode, collapsedClass);
		this.isExpanded = false;	
	}
	else{
		this.isExpanded = true;
		Spry.Utils.removeClassName(this.parentNode, collapsedClass);
		Spry.Utils.addClassName(this.parentNode, expandedClass);
	}
	
	Spry.$$("img.expandable", this).forEach( setImageExpandedState );
}

function setupHeaders(node){
	Spry.$$("img.expandable", node).forEach( setImageExpandedState );
	Spry.Utils.addEventListener(node, 'click', setItemState, false );
	Spry.Utils.addEventListener(node, 'mouseover', function(e){ this.style.cursor = 'pointer'; }, false );
}

function expandCollapseAll(node, header, expandCollapse, addClass, removeClass){
	Spry.Utils.removeClassName(node, removeClass);
	Spry.Utils.addClassName(node, addClass);
	Spry.$$(header, node).forEach(function(h){
		h.isExpanded = (expandCollapse == 'expand') ? true : false;
		Spry.$$("img.expandable", h).forEach( setImageExpandedState );
	});
}

function InitPage(){
	Spry.$$(".contentItem").forEach(function(n) {
			Spry.Utils.removeClassName(n,'contentItem');
			Spry.Utils.addClassName(n,'contentItemCollapsed');
			Spry.$$("h2").forEach( setupHeaders );
		}
	 );
	Spry.$$(".contentItemChild").forEach(function(n) {
			Spry.Utils.removeClassName(n,'contentItemChild');
			Spry.Utils.addClassName(n,'contentItemChildCollapsed');
			Spry.$$("h3", n).forEach( setupHeaders );
		}
	 );
	
	Spry.$$(".expandAllItems").addEventListener("click", function(e){
			Spry.$$(".contentItemCollapsed").forEach(function(n){ expandCollapseAll(n, 'h2', 'expand', 'contentItem', 'contentItemCollapsed'); } );
			Spry.$$(".contentItemChildCollapsed").forEach(function(n){ expandCollapseAll(n, 'h3', 'expand', 'contentItemChild', 'contentItemChildCollapsed'); } );
		}, false);
	
	Spry.$$(".collapseAllItems").addEventListener("click", function(e){
			Spry.$$(".contentItem").forEach(function(n){ expandCollapseAll(n, 'h2', 'collapse', 'contentItemCollapsed', 'contentItem'); } );
			Spry.$$(".contentItemChild").forEach(function(n){ expandCollapseAll(n, 'h3', 'collapse', 'contentItemChildCollapsed', 'contentItemChild' ); } );
		}, false);
	
	Spry.$$("#reportExpandCollapse").forEach(function(n) {
			n.style.display = 'block';
			Spry.$$("img", n).addEventListener('mouseover', function(e){ this.style.cursor = 'pointer'; }, false );
		}
	);
	
	if(window.print){		
		Spry.$$("#reportPrint").forEach(function(n) {
				n.style.display = 'block';
				n.style.cursor = 'pointer';
				Spry.Utils.addEventListener(n, 'click', function(e){ window.print(); } );
			}
		);
	}
}

Spry.Utils.addLoadListener(InitPage);